---
schema_version: "1"
id: 6f63fb3050e323bee0a0ab8eee1b90a160a29fb3f2945dcfd94a1d8fa346c6d0
title: POSCrashData Webhook
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/retail-cloud/reference/generated-api-specs/poscrashdata-webhook.md
canonical_url: https://developer.salesforce.com/docs/commerce/retail-cloud/references/poscrashdata-webhook
source_site: developer.salesforce.com
content_type: documentation
content_hash: 7e8e6fdf42a09c4935ee2ab7a88703a8048146adeb0f07ce6a50fae74d3eb025
products:
  - Point of Sale for Developers
  - Salesforce APIs
---
POSCrashData Webhook

# POSCrashData Webhook

[Download specification](https://developer.salesforce.com/static/commercecloud/retail-cloud/poscrashdata-webhook/poscrashdata-webhook-oas-public.yaml)

This API sends POS crash data to external systems.

**Version:** 2.3.4

## Tags

### POSCrashData Webhook

[Download specification](https://developer.salesforce.com/static/commercecloud/retail-cloud/poscrashdata-webhook/poscrashdata-webhook-oas-public.yaml)

This API sends POS crash data to external systems.

## Operations

### POST Export POSCrashData.

`POST /merchant/spi/sample/endpoint/sa/posCrashData`

Operation ID: `exportPOSCrashData`. Tags: POSCrashData Webhook.

Export POSCrashData to external system.

#### Request body

Media type: `application/json`. Schema: `POSCrashDataRequest`.

#### Responses

*   **default** Default response.
    
    Media type: `application/json`. Schema: `SpiPSResponse`.
    

## Schemas

### POSCrashDataRequest

*   `data` (_array of POSCrashData_)

### SpiPSResponse

*   `errorMessage` (_string_, nullable) Error message shown to the user.  
    Example: `Invalid request. Please check the request and try again.`.
*   `errorCode` (_string_, nullable) Error code shown to the user.  
    Example: `INTERNAL_ERROR`.
*   `error` (_boolean_)

### POSCrashData

*   `merchantId` (_string_) Merchant ID.
*   `locale` (_string_) Locale.
*   `region` (_string_) Region.
*   `installationId` (_string_) Unique Installation ID.
*   `storeId` (_string_) Store ID.
*   `storeAssociateId` (_string_) Store Associate ID.
*   `storeRegisterId` (_string_) Store Register ID.
*   `crashTimeStamp` (_integer (int64)_) Timestamp of when the crash occurred. Represented as milliseconds since epoch.
*   `crashId` (_string_) Crash ID.
*   `crashDataRecordId` (_string_) Unique ID for the crash data record.
*   `appVersion` (_string_) App Version.
*   `buildVersion` (_string_) Build Version.
*   `deviceType` (_string_) POS device type. For example, iPad.
*   `osVersion` (_string_) Device OS Version.